Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 16178
Description

As you can see in the attached screenshot, QGIS keeps pinging my web-services.
There are a lot of problems here:

- QGIS can't even support WFS > 1.0.0, so | have no idea what its doing re-pinging them.

- | have no project open. | went "new project" and discarded the previous one. So why has this been remembered?

- The requests shouldn't be timing out in the first place - the service is still running. Typing the address into a browser URL shows it is
working fine.

- The service isn't receiving these requests.

Restarting QGIS resolves these.

Using NextGIS built against master on Windows 7, 32bit.

History

#1 - 2013-02-04 09:06 AM - Jonathan Moules

Further testing - QGIS starts one of these ping cycles whenever a bad request has been made through it. So when | enter:
http://wppgeog3:8082/geoserver/wfs?SERVICE=WFS&#38;version=1.3.0

and QGIS gives me the error message (per #7098), it then triggers this pinging. All of the ones in the screenshot brought up one or another error.

#2 - 2013-02-04 09:11 AM - Jiirgen Fischer

Using NextGIS built against master on Windows 7, 32bit.

Which version is that?

#3 - 2013-02-04 09:14 AM - Jiirgen Fischer

- Category set to Web Services clients/WFS

#4 - 2013-02-04 09:22 AM - Jonathan Moules

| don't think this is a WFS specific issue (why | didn't set that) - one of those requests is WCS.

The version I'm using is: http:/gis-lab.info/programs/qgis/NextGIS-QGIS-5ed164a-29.01.2013.exe - The about page for it doesn't state what version of
Master its built against.

#5 - 2013-02-04 09:28 AM - Jiirgen Fischer

Jonathan Moules wrote:

The version I'm using is: http.//gis-lab.info/programs/qgis/NextGIS-QGIS-5ed164a-29.01.2013.exe - The about page for it doesn't state what version

of Master its built against.

probably commit:5ed164a

#6 - 2016-06-20 04:16 PM - Juirgen Fischer
- Status changed from Open to Feedback

It this the browser querying registered web services?

#7 - 2017-01-02 06:10 AM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen if necessary.
